﻿/**
 * A fastify js plugin to be registered by kita. A Map of this type usually shows all kita's dependencies to work
 * properly.
 */
export interface KitaPlugin {
    /**
     * The import name/path of this plugin to be registered by fastify.
     *
     * @example 'fastify-swagger'
     */
    importUrl: string;
    /** The name of the plugin to be registered by fastify. */
    name: string;
    /** The string object of options to be passed to the plugin. */
    options: Record<string, {
        /** Stringified literally, without quotes as any other normal string. */
        _raw: string;
    } | unknown>;
}
export declare function stringifyOptions(options: KitaPlugin['options']): string;
//# sourceMappingURL=plugin.d.ts.map