﻿"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.importConfig = void 0;
const errors_1 = require("../errors");
const parser_1 = require("./parser");
/** Parses and validates the config. */
function importConfig(path, root) {
    // No config found, use default
    if (!path) {
        return (0, parser_1.parseConfig)({}, root);
    }
    let config;
    try {
        config = require(path);
    }
    catch (error) {
        throw new errors_1.CannotReadConfigError(error?.stack || String(error));
    }
    if (!config) {
        throw new errors_1.InvalidConfigError('Config file is empty.');
    }
    return (0, parser_1.parseConfig)(config, root);
}
exports.importConfig = importConfig;
//# sourceMappingURL=importer.js.map