﻿"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readCompilerOptions = void 0;
const tslib_1 = require("tslib");
const node_path_1 = tslib_1.__importDefault(require("node:path"));
const typescript_1 = tslib_1.__importDefault(require("typescript"));
const config_1 = require("../errors/config");
function readCompilerOptions(tsconfigPath) {
    const { config, error } = typescript_1.default.readConfigFile(tsconfigPath, typescript_1.default.sys.readFile);
    if (error) {
        throw new config_1.CannotReadTsconfigError(tsconfigPath, error);
    }
    const { options, errors, fileNames } = typescript_1.default.parseJsonConfigFileContent(config, typescript_1.default.sys, node_path_1.default.dirname(tsconfigPath), undefined, tsconfigPath);
    if (errors.length) {
        throw new config_1.CannotParseTsconfigError(tsconfigPath, errors);
    }
    return {
        ...options,
        rootNames: fileNames
    };
}
exports.readCompilerOptions = readCompilerOptions;
//# sourceMappingURL=tsconfig.js.map