﻿"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CannotReadConfigError = exports.CannotParseTsconfigError = exports.CannotReadTsconfigError = exports.InvalidConfigError = void 0;
const base_1 = require("./base");
class InvalidConfigError extends base_1.KitaError {
    config;
    constructor(message, config) {
        super({
            code: 200,
            messageText: message
        });
        this.config = config;
    }
}
exports.InvalidConfigError = InvalidConfigError;
class CannotReadTsconfigError extends base_1.KitaError {
    path;
    constructor(path, error) {
        super({
            code: 201,
            messageText: 'Cannot read tsconfig file',
            relatedInformation: [error]
        });
        this.path = path;
    }
}
exports.CannotReadTsconfigError = CannotReadTsconfigError;
class CannotParseTsconfigError extends base_1.KitaError {
    path;
    constructor(path, errors) {
        super({
            code: 202,
            messageText: 'Cannot read tsconfig file',
            relatedInformation: errors
        });
        this.path = path;
    }
}
exports.CannotParseTsconfigError = CannotParseTsconfigError;
class CannotReadConfigError extends base_1.KitaError {
    reason;
    constructor(reason) {
        super({
            code: 203,
            messageText: `Cannot read kita config file: ${reason}`
        });
        this.reason = reason;
    }
}
exports.CannotReadConfigError = CannotReadConfigError;
//# sourceMappingURL=config.js.map