﻿"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RuntimeNotFoundError = exports.GeneratedDiagnosticsErrors = void 0;
const base_1 = require("./base");
class GeneratedDiagnosticsErrors extends base_1.KitaError {
    type = 'formatter';
    constructor(diagnostics) {
        super({
            code: 500,
            messageText: 'Generated code was invalid. Please report this issue to the KitaJS team.',
            relatedInformation: Array.from(diagnostics)
        });
    }
}
exports.GeneratedDiagnosticsErrors = GeneratedDiagnosticsErrors;
class RuntimeNotFoundError extends base_1.KitaError {
    path;
    type = 'formatter';
    constructor(path) {
        super({
            code: 501,
            messageText: `Could not find the runtime package${path ? `at ${path}` : ''}. Did you forget to install @kitajs/runtime?`
        });
        this.path = path;
    }
}
exports.RuntimeNotFoundError = RuntimeNotFoundError;
//# sourceMappingURL=formatter.js.map