﻿import ts from 'typescript';
import { KitaError } from './base';
export declare class RouteResolverNotFoundError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class ParameterResolverNotFoundError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class CannotResolveParameterNameError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class CannotCreateNodeTypeError extends KitaError {
    type: string;
    constructor(node: ts.Node, error: unknown);
}
export declare class SourceFileNotFoundError extends KitaError {
    readonly path: string;
    type: string;
    constructor(path: string);
}
export declare class NoProviderExportedError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class UntypedProviderError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class EmptyJsdocError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class ProviderResolverNotFound extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class WronglyTypedProviderError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class ReturnTypeError extends KitaError {
    readonly error: unknown;
    type: string;
    constructor(node: ts.Node, error: unknown);
}
export declare class RouteOptionsAlreadyDefinedError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class RouteMapperNotExportedError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class RouteParameterMultipleErrors extends KitaError {
    readonly children: KitaError[];
    type: string;
    constructor(node: ts.Node, children: KitaError[]);
}
export declare class InvalidProviderGenericTypeError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class EmptyRouteFileError extends KitaError {
    readonly node: ts.Node;
    constructor(node: ts.Node);
}
export declare class InvalidProviderSchemaTransformerError extends KitaError {
    readonly msg: string;
    type: string;
    constructor(node: ts.Node, msg: string);
}
export declare class InvalidProviderHookError extends KitaError {
    readonly msg: string;
    type: string;
    constructor(node: ts.Node, msg: string);
}
export declare class IncompatibleProviderError extends KitaError {
    readonly children: KitaError[];
    type: string;
    constructor(node: ts.Node, children: KitaError[]);
}
//# sourceMappingURL=parser.d.ts.map