﻿import ts from 'typescript';
import { KitaError } from './base';
export declare class MultipleDefinitionsError extends KitaError {
    readonly typename: string;
    type: string;
    constructor(typename: string);
}
export declare class BodyInGetRequestError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class ParameterConflictError extends KitaError {
    readonly existing: string;
    readonly attempt: string;
    type: string;
    constructor(existing: string, attempt: string, node: ts.Node);
}
export declare class InvalidParameterUsageError extends KitaError {
    readonly usage: string;
    type: string;
    constructor(usage: string, node: ts.Node);
}
export declare class DuplicateOperationIdError extends KitaError {
    readonly operationId: string;
    readonly node?: ts.Node | undefined;
    type: string;
    constructor(operationId: string, node?: ts.Node | undefined);
}
export declare class DuplicateProviderTypeError extends KitaError {
    readonly provider: string;
    readonly pathA: string;
    readonly pathB: string;
    type: string;
    constructor(provider: string, pathA: string, pathB: string);
}
export declare class JsdocAlreadyDefinedError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class QueryMixError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class InvalidHtmlRoute extends KitaError {
    readonly primitive?: unknown;
    type: string;
    constructor(node: ts.Node, primitive?: unknown);
}
export declare class UnknownHttpError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class UnknownHttpJsdocError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class FileInGetRequestError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class DefaultExportedRoute extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
export declare class RouteWithoutReturnError extends KitaError {
    type: string;
    constructor(node: ts.Node);
}
//# sourceMappingURL=validator.d.ts.map