﻿import { Parser } from './parser';
export declare abstract class ChainParser<P extends Parser<object>> implements Pick<Parser<P>, 'supports'> {
    /** All the parsers in this chain. */
    protected parsers: Set<P>;
    /** A simple node cache to increase the performance at parse() when getting the correct parser */
    protected cache: WeakMap<Parameters<P["supports"]>[0], P>;
    /** Adds a parser to this chain. */
    add(parser: P): this;
    /** Checks if the given node is supported by any of the parsers and caches the result. */
    supports(node: Parameters<P['supports']>[0]): Promise<boolean>;
}
//# sourceMappingURL=chain.d.ts.map