﻿import { Promisable } from 'type-fest';
/** Resolves the first predicate that returns true. Otherwise, returns literal `false`. */
export declare function predicateRace<Args extends unknown[], K extends string, R extends Record<K, (...a: Args) => Promisable<boolean>>>(resolvers: Iterable<R>, maxTries: number, callKey: K, ...args: Args): Promise<false | R>;
/**
 * Fast instanceof check for promises. This is faster than `value instanceof Promise` because it does not need to
 * traverse the prototype chain.
 */
export declare function isPromiseLike<T>(value: unknown): value is PromiseLike<T>;
//# sourceMappingURL=promises.d.ts.map